## org.eclipse.jst.jsf.facesconfig.emf
Interface LocaleConfigType

All Known Implementing Classes:
  LocaleConfigTypeImpl

    public interface LocaleConfigType

A representation of the model object 'Locale Config Type'.

The following features are supported:

- `Default Locale`
- `Supported Locale`
- `Id`

See Also:
  `FacesConfigPackage.getLocaleConfigType()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`DefaultLocaleType` `getDefaultLocale()` Returns the value of the 'Default Locale' containment reference
`java.lang.String` `getId()` Returns the value of the 'Id' attribute
`EList` `getSupportedLocale()` Returns the value of the 'Supported Locale' containment reference list.
`void` `setDefaultLocale(DefaultLocaleType value)` Sets the value of the '`Default Locale`' containment reference
`void` `setId(java.lang.String value)` Sets the value of the '`Id`' attribute

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDefaultLocale

    DefaultLocaleType getDefaultLocale()

  Returns the value of the 'Default Locale' containment reference.

  If the meaning of the 'Default Locale' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Default Locale' containment reference.
  See Also:
    `setDefaultLocale(DefaultLocaleType)`, `FacesConfigPackage.getLocaleConfigType_DefaultLocale()`

### setDefaultLocale

    void setDefaultLocale(DefaultLocaleType value)

  Sets the value of the '`Default Locale`' containment reference.

  Parameters:
    `value` - the new value of the 'Default Locale' containment reference.
  See Also:
    `getDefaultLocale()`

### getSupportedLocale

    EList getSupportedLocale()

  Returns the value of the 'Supported Locale' containment reference list. The list contents are of type `SupportedLocaleType`.

  If the meaning of the 'Supported Locale' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Supported Locale' containment reference list.
  See Also:
    `FacesConfigPackage.getLocaleConfigType_SupportedLocale()`

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute.

  If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `FacesConfigPackage.getLocaleConfigType_Id()`

### setId

    void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`